package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 评价标记 (未标记,标记非恶意差评,标记恶意差评)枚举类
*
* @author zxfei
*/
public enum EyevaluateEnum {
    未标记("未标记", "未标记"),
    标记非恶意差评("标记非恶意差评", "标记非恶意差评"),
    标记恶意差评("标记恶意差评", "标记恶意差评");
    private String value;
    private String desc;

    EyevaluateEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static EyevaluateEnum getByValue(String value) {
        for (EyevaluateEnum eyevaluateEnum : EyevaluateEnum.values()) {
            if (eyevaluateEnum.getValue() == value) {
                return eyevaluateEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (EyevaluateEnum item : EyevaluateEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}